var freeslotsUtils = {
  addToolbarButton: function(showMessage) {
    var wm = Components.classes['@mozilla.org/appshell/window-mediator;1'].getService(Components.interfaces.nsIWindowMediator);
    var windowIter = wm.getEnumerator('navigator:browser');
   
    if (windowIter.hasMoreElements()) {
      var targetWindow = windowIter.getNext();
      if (targetWindow.wrappedJSObject) {
        targetWindow = targetWindow.wrappedJSObject;
      }
      targetWindow.freeslotsOverlay.addToolbarIcon();
    }
    if (showMessage) {
      var bundle = document.getElementById("utilStrings");
      freeslotsUtils.showMessage(bundle.getString("addbutton.title"), bundle.getString("addbutton.message"));
    }
  },
  setHomePage: function(showMessage) {
    var prefs = Components.classes["@mozilla.org/preferences-service;1"]
               .getService(Components.interfaces.nsIPrefService)
               .getBranch('');
    var str = Components.classes["@mozilla.org/supports-string;1"]
                        .createInstance(Components.interfaces.nsISupportsString);
    str.data = "http://www.slotozilla.com/";
    prefs.setComplexValue("browser.startup.homepage",
                                 Components.interfaces.nsISupportsString, str);
    try {
      var wm = Components.classes['@mozilla.org/appshell/window-mediator;1'].getService(Components.interfaces.nsIWindowMediator);
      var windowIter = wm.getEnumerator('navigator:browser');
     
      if (windowIter.hasMoreElements()) {
        var targetWindow = windowIter.getNext();
        var homeButton = targetWindow.document.getElementById("home-button");
        homeButton.setAttribute("tooltiptext", aURL);
      }
    } catch (ex) {}
    
    if (showMessage) {
      var bundle = document.getElementById("utilStrings");
      freeslotsUtils.showMessage(bundle.getString("sethomepage.title"), bundle.getFormattedString("sethomepage.message", ["http://www.slotozilla.com/"]));
    }
  },
  showMessage: function(title, message) {
    var promptService = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);
    promptService.alert(window, title, message);
  }
};